Quantcast

Tomcat 8 + Tomcat Maven Plugin 2.2 + Tomcat8 Maven Plugin?

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Tomcat 8 + Tomcat Maven Plugin 2.2 + Tomcat8 Maven Plugin?

Nick Williams-4
https://repository.apache.org/content/repositories/snapshots/org/apache/tomcat/maven/

In snapshots there is only tomcat6-maven-plugin and tomcat7-maven-plugin. So, even though my Maven dependencies are on Tomcat 8.0-SNAPSHOT, any "executable war" I build with the plugin has Tomcat 7 classes in it, meaning the application won't run (NoClassDefFound, etc.).

What needs to be done to get a tomcat8-maven-plugin snapshot started? Is this a whole new project that hasn't been started yet? Or does a new build configuration just need to be created?
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Tomcat 8 + Tomcat Maven Plugin 2.2 + Tomcat8 Maven Plugin?

olamy
Hi,
Apologize for delayed response.
I have not tested that. I don't know if embedder trunk (i.e tomcat8)
is compatible.
Did you try using tomcat8 snapshot as described here:
http://tomcat.apache.org/maven-plugin-trunk/tomcat7-maven-plugin/adjust-embedded-tomcat-version.html


2013/3/14 Nick Williams <[hidden email]>:
> https://repository.apache.org/content/repositories/snapshots/org/apache/tomcat/maven/
>
> In snapshots there is only tomcat6-maven-plugin and tomcat7-maven-plugin. So, even though my Maven dependencies are on Tomcat 8.0-SNAPSHOT, any "executable war" I build with the plugin has Tomcat 7 classes in it, meaning the application won't run (NoClassDefFound, etc.).
>
> What needs to be done to get a tomcat8-maven-plugin snapshot started? Is this a whole new project that hasn't been started yet? Or does a new build configuration just need to be created?



--
Olivier Lamy
Ecetera: http://ecetera.com.au
http://twitter.com/olamy | http://linkedin.com/in/olamy

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Tomcat 8 + Tomcat Maven Plugin 2.2 + Tomcat8 Maven Plugin?

Nick Williams-4

On Mar 24, 2013, at 4:55 AM, Olivier Lamy wrote:

> Hi,
> Apologize for delayed response.
> I have not tested that. I don't know if embedder trunk (i.e tomcat8)
> is compatible.
> Did you try using tomcat8 snapshot as described here:
> http://tomcat.apache.org/maven-plugin-trunk/tomcat7-maven-plugin/adjust-embedded-tomcat-version.html

I had not seen that. Thanks!

However, after some time I determined that I needed enough customization (Tomcat 8, Web Start class loader requirements, logging, etc.) that the maven plugin just wasn't going to cut it. I got it working nicely using the tomcat-embed-*, as per "Re: Executable Tomcat JAR/WAR executes fine standalone, class loading errors in JNLP" [1] and bug 54745.

Thanks,

Nick

[1] http://tomcat.markmail.org/thread/6qzrm3akiy4e3e5v

>
>
> 2013/3/14 Nick Williams <[hidden email]>:
>> https://repository.apache.org/content/repositories/snapshots/org/apache/tomcat/maven/
>>
>> In snapshots there is only tomcat6-maven-plugin and tomcat7-maven-plugin. So, even though my Maven dependencies are on Tomcat 8.0-SNAPSHOT, any "executable war" I build with the plugin has Tomcat 7 classes in it, meaning the application won't run (NoClassDefFound, etc.).
>>
>> What needs to be done to get a tomcat8-maven-plugin snapshot started? Is this a whole new project that hasn't been started yet? Or does a new build configuration just need to be created?
>
>
>
> --
> Olivier Lamy
> Ecetera: http://ecetera.com.au
> http://twitter.com/olamy | http://linkedin.com/in/olamy
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Loading...